## kdepimlibs 4.14.2

=== CMakeLists.txt ===
project(kdepimlibs)

# where to look first for cmake modules. This line must be the first one or cmake will use the system's FindFoo.cmake
set(CMAKE_MODULE_PATH "${CMAKE_SOURCE_DIR}/cmake/modules")


############### The kdepimlibs version (used e.g. in KdepimLibsConfig.cmake) ###############
set(KDEPIMLIBS_VERSION_MAJOR 4)
set(KDEPIMLIBS_VERSION_MINOR 14)
set(KDEPIMLIBS_VERSION_PATCH 2)
set(KDEPIMLIBS_VERSION ${KDEPIMLIBS_VERSION_MAJOR}.${KDEPIMLIBS_VERSION_MINOR}.${KDEPIMLIBS_VERSION_PATCH})


############### search packages used by KDE ###############

set (QT_MIN_VERSION "4.8.0")
# kdepim depends on the latest released version of kdelibs, ie. 4.x kdepim depends on 4.x-1 kdelibs
find_package(KDE4 4.13.0 REQUIRED)
include(KDE4Defaults)
include(MacroLibrary)
include(KDEPlatformProfile)
include(FeatureSummary)

set(CMAKE_AUTOMOC ON)
set(CMAKE_LINK_INTERFACE_LIBRARIES "")

include(GenerateExportHeader)

# Used by options
include(CMakeDependentOption)

############### Desktop vs. Mobile options ##############

if (KDE_PLATFORM_PROFILE STREQUAL "Mobile")
  set(_default_mobile_ui TRUE)
else()
  set(_default_mobile_ui FALSE)
endif()


############### Build Options ###############

option(KDEPIM_ONLY_KLEO "Only build the libraries needed by Kleopatra." FALSE)
cmake_dependent_option(KDEPIM_NO_KCAL "Build without legacy KCal" TRUE "KDE_PLATFORM_FEATURE_DISABLE_DEPRECATED" FALSE)
cmake_dependent_option(KDEPIM_NO_KRESOURCES "Build without legacy KResource support." TRUE "KDE_PLATFORM_FEATURE_DISABLE_DEPRECATED" FALSE)
cmake_dependent_option(KDEPIM_MOBILE_UI "Build UI for mobile devices instead of for desktops" TRUE "_default_mobile_ui" FALSE)
option(STATIC_LIBRARY "Build kdepimlibs as static libraries." FALSE)
#option(KDEPIM_ENTERPRISE_BUILD "Enable features specific to the enterprise branch, which are normally disabled." FALSE)
option(KDEPIMLIBS_RUN_ISOLATED_TESTS "Run the isolated tests." FALSE)

############### Load the CTest options ###############
# Setting DART_TESTING_TIMEOUT has no effect on the tests timeout,
# the timeout value must be changed directly in DartConfiguration.tcl
set(_DartConfigFile "${CMAKE_BINARY_DIR}/DartConfiguration.tcl")
if(EXISTS ${_DartConfigFile})
  set(DartTestingTimeout "120")
  file(READ ${_DartConfigFile} _DartConfigFile_content)
  string(REGEX REPLACE "TimeOut: 1500" "TimeOut: ${DartTestingTimeout}" _DartConfigFile_content ${_DartConfigFile_content})
  file(WRITE ${_DartConfigFile} ${_DartConfigFile_content})
endif()

# CTestCustom.cmake has to be in the CTEST_BINARY_DIR.
# in the KDE build system, this is the same as CMAKE_BINARY_DIR.
configure_file(${CMAKE_SOURCE_DIR}/CTestCustom.cmake ${CMAKE_BINARY_DIR}/CTestCustom.cmake)


############### Find the stuff we need ###############

set(Boost_MINIMUM_VERSION "1.34.0")
find_package(Boost ${Boost_MINIMUM_VERSION} COMPONENTS graph)
set_package_properties(Boost PROPERTIES DESCRIPTION "Boost C++ Libraries" URL "http://www.boost.org" TYPE REQUIRED PURPOSE "Boost must include the boost-graph library")

#FindGpgme.cmake already handles the log message but we must ensure it is required.
find_package(Gpgme REQUIRED)
# configure macros
if (GPGME_FOUND)
  include (gpgme++/ConfigureChecks.cmake)
endif()

if (NOT KDEPIM_ONLY_KLEO)
  #FindAkonadi.cmake is only there for compatibility reasons, but we don't want to use that.
  set(Akonadi_MIN_VERSION "1.12.90")
  find_package(Akonadi ${Akonadi_MIN_VERSION} QUIET NO_MODULE)
  set_package_properties(Akonadi PROPERTIES DESCRIPTION "Akonadi server libraries" URL "http://pim.kde.org/akonadi" TYPE REQUIRED PURPOSE "Access to PIM storage and services")

  find_package(Sasl2)
  set_package_properties(Sasl2 PROPERTIES DESCRIPTION "cyrus-sasl" URL "http://asg.web.cmu.edu/sasl/sasl-library.html" TYPE REQUIRED PURPOSE "Login authentication for IMAP and Sieve")

  include (ConfigureChecks.cmake)

  set(SHARED_MIME_INFO_MINIMUM_VERSION "0.30")
  find_package(SharedMimeInfo)
  set_package_properties(SharedMimeInfo PROPERTIES DESCRIPTION "shared-mime-info" URL "http://freedesktop.org/wiki/Software/shared-mime-info" TYPE REQUIRED PURPOSE "Information about filetypes")

  set(LIBICAL_MIN_VERSION "0.42")
  find_package(Libical)
  set_package_properties(Libical PROPERTIES DESCRIPTION "libical" URL "http://sourceforge.net/projects/freeassociation" TYPE REQUIRED PURPOSE "Calendar support")

  find_package(QJSON)
  set_package_properties(QJSON PROPERTIES DESCRIPTION "QJSON" URL "http://qjson.sourceforge.net/" TYPE REQUIRED PURPOSE "Qt library for handling JSON data")

  if (KDE4_BUILD_TESTS)
    find_package(Xsltproc)
    set_package_properties(Xsltproc PROPERTIES DESCRIPTION "XSLT processor from libxslt" TYPE REQUIRED PURPOSE "Required to generate D-Bus interfaces for all Akonadi resources.")

    find_package(LibXml2)
    set_package_properties(LibXml2 PROPERTIES DESCRIPTION "The LibXML2 library" URL "http://xmlsoft.org" TYPE OPTIONAL PURPOSE "Needed for building the knut Akonadi resource.")
  endif()

endif()

############### Needed commands before building anything ###############

add_definitions (${QT_DEFINITIONS} ${KDE4_DEFINITIONS})
add_definitions(-DQT_USE_QSTRINGBUILDER)

if (KDEPIM_MOBILE_UI)
  add_definitions( -DKDEPIM_MOBILE_UI )
endif()

include_directories (${CMAKE_SOURCE_DIR} ${CMAKE_BINARY_DIR} ${KDE4_INCLUDES} ${Boost_INCLUDE_DIR})

if (KDEPIM_NO_KRESOURCES)
  add_definitions(-DKDEPIM_NO_KRESOURCES)
endif()
if (KDEPIM_NO_KCAL)
  add_definitions(-DKDEPIM_NO_KCAL)
endif()

if(STATIC_LIBRARY)
  set(LIBRARY_TYPE STATIC)
  add_definitions(-DKDEPIM_STATIC_LIBS)
  message(STATUS "Building kdepimlibs as static libraries")
else()
  set(LIBRARY_TYPE SHARED)
endif()


############### Now, we add the KDEPIMLibs components ###############
# These targets will always be built
add_subdirectory(cmake)
add_subdirectory(gpgme++)
add_subdirectory(qgpgme)

if (NOT KDEPIM_ONLY_KLEO)
  add_subdirectory(kabc)
  add_subdirectory(kalarmcal)
  if (NOT KDEPIM_NO_KCAL)
    add_subdirectory(kblog)
    add_subdirectory(kcal)
  endif()
  add_subdirectory(kcalcore)
  add_subdirectory(kcalutils)
  add_subdirectory(akonadi) # depends on kabc is build
  add_subdirectory(kholidays)
  add_subdirectory(kimap)
  add_subdirectory(kioslave)
  add_subdirectory(kldap)
  add_subdirectory(kmbox)
endif()
  add_subdirectory(kmime)
if (NOT KDEPIM_ONLY_KLEO)
  add_subdirectory(kpimidentities)
  add_subdirectory(kpimutils)
  add_subdirectory(kpimtextedit)
  if (NOT KDEPIM_NO_KRESOURCES)
    add_subdirectory(kresources)
  endif()
  add_subdirectory(ktnef)
  add_subdirectory(kxmlrpcclient)
  add_subdirectory(mailtransport)
  add_subdirectory(microblog)
  add_subdirectory(syndication)
  add_subdirectory(kontactinterface)
  # Build the CamelCase headers
  add_subdirectory(includes)
endif()


# doc must be a subdir of kdepimlibs
macro_optional_add_subdirectory(doc)

# All done, let's display what we found...
feature_summary(WHAT ALL
                     INCLUDE_QUIET_PACKAGES
                     FATAL_ON_MISSING_REQUIRED_PACKAGES
               )

############### Here we install some extra stuff  ###############

if (NOT KDEPIM_ONLY_KLEO)
  install(FILES kdepimlibs-mime.xml DESTINATION ${XDG_MIME_INSTALL_DIR})
  update_xdg_mimetypes(${XDG_MIME_INSTALL_DIR})
endif()


# now create the KdepimLibsConfig.cmake file, which will be loaded by
# kdelibs/cmake/modules/FindKdepimLibs.cmake and which has to contain all information
# about the installed kdepimlibs anybody would like to have. Alex

# we need the absolute directories where stuff will be installed too
# but since the variables which contain the destinations can be relative
# or absolute paths, we need this macro to make them all absoulte, Alex
macro(MAKE_INSTALL_PATH_ABSOLUTE out in)
   if (IS_ABSOLUTE "${in}")    # IS_ABSOLUTE is new since cmake 2.4.8
      set(${out} "${in}")
   else()
      set(${out} "\${KDEPIMLIBS_INSTALL_DIR}/${in}")
   endif()
endmacro()

# all the following variables are put into KdepimLibsConfig.cmake, so
# they are usable by projects using kdepimlibs. Alex
make_install_path_absolute(KDEPIMLIBS_DATA_DIR            ${DATA_INSTALL_DIR})
make_install_path_absolute(KDEPIMLIBS_DBUS_INTERFACES_DIR ${DBUS_INTERFACES_INSTALL_DIR})
make_install_path_absolute(KDEPIMLIBS_DBUS_SERVICES_DIR   ${DBUS_SERVICES_INSTALL_DIR})
make_install_path_absolute(KDEPIMLIBS_INCLUDE_DIR         ${INCLUDE_INSTALL_DIR})
make_install_path_absolute(KDEPIMLIBS_LIB_DIR             ${LIB_INSTALL_DIR})
make_install_path_absolute(KDEPIMLIBS_BIN_DIR             ${BIN_INSTALL_DIR})
make_install_path_absolute(KDEPIMLIBS_LIBEXEC_DIR         ${LIBEXEC_INSTALL_DIR})
make_install_path_absolute(KDEPIMLIBS_SBIN_DIR            ${SBIN_INSTALL_DIR})
make_install_path_absolute(KDEPIMLIBS_HTML_DIR            ${HTML_INSTALL_DIR})
make_install_path_absolute(KDEPIMLIBS_CONFIG_DIR          ${CONFIG_INSTALL_DIR})
make_install_path_absolute(KDEPIMLIBS_ICON_DIR            ${ICON_INSTALL_DIR})
make_install_path_absolute(KDEPIMLIBS_KCFG_DIR            ${KCFG_INSTALL_DIR})
make_install_path_absolute(KDEPIMLIBS_LOCALE_DIR          ${LOCALE_INSTALL_DIR})
make_install_path_absolute(KDEPIMLIBS_MIME_DIR            ${MIME_INSTALL_DIR})
make_install_path_absolute(KDEPIMLIBS_SOUND_DIR           ${SOUND_INSTALL_DIR})
make_install_path_absolute(KDEPIMLIBS_TEMPLATES_DIR       ${TEMPLATES_INSTALL_DIR})
make_install_path_absolute(KDEPIMLIBS_WALLPAPER_DIR       ${WALLPAPER_INSTALL_DIR})
make_install_path_absolute(KDEPIMLIBS_KCONF_UPDATE_DIR    ${KCONF_UPDATE_INSTALL_DIR})
make_install_path_absolute(KDEPIMLIBS_AUTOSTART_DIR       ${AUTOSTART_INSTALL_DIR})
make_install_path_absolute(KDEPIMLIBS_XDG_APPS_DIR        ${XDG_APPS_INSTALL_DIR})
make_install_path_absolute(KDEPIMLIBS_XDG_DIRECTORY_DIR   ${XDG_DIRECTORY_INSTALL_DIR})
make_install_path_absolute(KDEPIMLIBS_SYSCONF_DIR         ${SYSCONF_INSTALL_DIR})
make_install_path_absolute(KDEPIMLIBS_MAN_DIR             ${MAN_INSTALL_DIR})
make_install_path_absolute(KDEPIMLIBS_INFO_DIR            ${INFO_INSTALL_DIR})
make_install_path_absolute(KDEPIMLIBS_SERVICES_DIR        ${SERVICES_INSTALL_DIR})
make_install_path_absolute(KDEPIMLIBS_SERVICETYPES_DIR    ${SERVICETYPES_INSTALL_DIR})

# Used in configure_file() and install(EXPORT)
set(KDEPIMLIBS_TARGET_PREFIX KDEPIMLibs__)

# this file is installed and contains all necessary information about the installed kdepimlibs, it also loads the file with the exported targets
configure_file(KdepimLibsConfig.cmake.in "${CMAKE_CURRENT_BINARY_DIR}/KdepimLibsConfig.cmake" @ONLY)

# this file will be installed too and will be used by cmake when searching for the Config.cmake file to check the version of kdepimlibs, Alex
include(WriteBasicConfigVersionFile)
write_basic_config_version_file(${CMAKE_CURRENT_BINARY_DIR}/KdepimLibsConfigVersion.cmake
                                  VERSION ${KDEPIMLIBS_VERSION_MAJOR}.${KDEPIMLIBS_VERSION_MINOR}.${KDEPIMLIBS_VERSION_PATCH}
                                  COMPATIBILITY SameMajorVersion)

set(_KdepimLibsConfig_INSTALL_DIR ${LIB_INSTALL_DIR}/KdepimLibs/cmake)
# places where find_package() looks for FooConfig.cmake files:
# CMake >= 2.6.0 looks in lib/Foo*/cmake/, CMake >= 2.6.3 also looks in
# lib/cmake/Foo*/, which packagers prefer. So they can set the KDE4_USE_COMMON_CMAKE_PACKAGE_CONFIG_DIR
# option to have kdepimlibs install its Config file there. Alex
if(KDE4_USE_COMMON_CMAKE_PACKAGE_CONFIG_DIR)
   set(_KdepimLibsConfig_INSTALL_DIR ${LIB_INSTALL_DIR}/cmake/KdepimLibs)
endif()

install(FILES ${CMAKE_CURRENT_BINARY_DIR}/KdepimLibsConfigVersion.cmake
              ${CMAKE_CURRENT_BINARY_DIR}/KdepimLibsConfig.cmake
        DESTINATION ${_KdepimLibsConfig_INSTALL_DIR} )

# Install the file with the exported targets, use ${KDEPIMLIBS_TARGET_PREFIX} as prefix for the names of these targets, Alex
install(EXPORT kdepimlibsLibraryTargets
        NAMESPACE ${KDEPIMLIBS_TARGET_PREFIX}
        DESTINATION ${_KdepimLibsConfig_INSTALL_DIR}
        FILE KDEPimLibsLibraryTargetsWithPrefix.cmake )

=== akonadi/CMakeLists.txt ===
project(akonadi-kde)

add_definitions( -DKDE_DEFAULT_DEBUG_AREA=5250 )

set( CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} ${KDE4_ENABLE_EXCEPTIONS}" )
if(CMAKE_COMPILE_GCOV)
  set( CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -fprofile-arcs -ftest-coverage")
endif()

if (KDE4_BUILD_TESTS)
  add_subdirectory( tests )
else()
  add_subdirectory( tests/testrunner )
  add_subdirectory( tests/testresource )
endif()

add_definitions( ${AKONADI_DEFINITIONS} )
add_definitions( -DQT_NO_CAST_FROM_ASCII )
add_definitions( -DQT_NO_CAST_TO_ASCII )

# Set the resources and agents version
configure_file(kdepimlibs-version.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/kdepimlibs-version.h)

# Detect the QJson version (0.8.0 is BIC)
if (QJSON_VERSION VERSION_GREATER 0.7.1)
  set(USE_QJSON_0_8 TRUE)
endif()

configure_file(config-akonadi.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/config-akonadi.h)

include_directories(
  ${CMAKE_CURRENT_SOURCE_DIR}
  ${CMAKE_CURRENT_BINARY_DIR}
)
add_subdirectory( kabc )
add_subdirectory( kcal )
add_subdirectory( kmime )
add_subdirectory( contact )
add_subdirectory( calendar )
add_subdirectory( notes )
add_subdirectory( socialutils )
add_subdirectory( xml )

include_directories(
  ${QT_QTDBUS_INCLUDE_DIR}
  ${Boost_INCLUDE_DIR}
  ${KDE4_INCLUDE_DIR}
  ${QJSON_INCLUDE_DIR}
  ${AKONADI_INCLUDE_DIR}
  ${CMAKE_CURRENT_BINARY_DIR}/../kmime
  ${AKONADI_INCLUDE_DIR}/akonadi/private
)

# libakonadi-kde

set( akonadikde_LIB_SRC
  entity.cpp # keep it at top to not break enable-final
  actionstatemanager.cpp
  agentactionmanager.cpp
  agentbase.cpp
  agentfactory.cpp
  agentfilterproxymodel.cpp
  agentinstance.cpp
  agentinstancecreatejob.cpp
  agentinstancemodel.cpp
  agentinstancewidget.cpp
  agentmanager.cpp
  agentsearchinterface.cpp
  agenttype.cpp
  agenttypemodel.cpp
  agenttypewidget.cpp
  agenttypedialog.cpp
  asyncselectionhandler.cpp
  attribute.cpp
  attributefactory.cpp
  cachepolicy.cpp
  changemediator_p.cpp
  changerecorder.cpp
  changerecorder_p.cpp
  changenotificationdependenciesfactory.cpp
  collection.cpp
  collectionattributessynchronizationjob.cpp
  collectioncombobox.cpp
  collectioncopyjob.cpp
  collectioncreatejob.cpp
  collectiondeletejob.cpp
  collectionfilterproxymodel.cpp
  collectionfetchjob.cpp
  collectionfetchscope.cpp
  collectionmodel.cpp
  collectionmodel_p.cpp
  collectionmodifyjob.cpp
  collectionmovejob.cpp
  collectionpathresolver.cpp
  collectionquotaattribute.cpp
  collectionrequester.cpp
  collectionrightsattribute.cpp
  collectionselectjob.cpp
  collectionstatistics.cpp
  collectionstatisticsjob.cpp
  collectionstatisticsmodel.cpp
  collectionstatisticsdelegate.cpp
  collectionsync.cpp
  cachepolicypage.cpp
  collectiongeneralpropertiespage.cpp
  collectionpropertiesdialog.cpp
  collectionpropertiespage.cpp
  conflicthandling/conflicthandler.cpp
  conflicthandling/conflictresolvedialog.cpp
  control.cpp
  dbusconnectionpool.cpp
  entitycache.cpp
  entitydisplayattribute.cpp
  entityhiddenattribute.cpp
  entitydeletedattribute.cpp
  entitymimetypefiltermodel.cpp
  entityorderproxymodel.cpp
  entityrightsfiltermodel.cpp
  entitytreemodel.cpp
  entitytreemodel_p.cpp
  entitytreeview.cpp
  entityannotationsattribute.cpp
  erroroverlay.cpp
  etmviewstatesaver.cpp
  exception.cpp
  favoritecollectionsmodel.cpp
  firstrun.cpp
  gid/gidextractor.cpp
  indexpolicyattribute.cpp
  item.cpp
  itemcreatejob.cpp
  itemcopyjob.cpp
  itemdeletejob.cpp
  itemfetchjob.cpp
  itemfetchscope.cpp
  itemmodel.cpp
  itemmonitor.cpp
  itemmovejob.cpp
  itemsearchjob.cpp
  itemserializer.cpp
  itemserializerplugin.cpp
  itemmodifyjob.cpp
  itemsync.cpp
  invalidatecachejob.cpp
  job.cpp
  kdsignalblocker.cpp
  kjobprivatebase.cpp
  linkjob.cpp
  mimetypechecker.cpp
  monitor.cpp
  monitor_p.cpp
  notificationsource.cpp
  partfetcher.cpp
  pastehelper.cpp
  persistentsearchattribute.cpp
  preprocessorbase.cpp
  preprocessorbase_p.cpp
  protocolhelper.cpp
  progressspinnerdelegate.cpp
  recursivecollectionfilterproxymodel.cpp
  recursiveitemfetchjob.cpp
  recursivemover.cpp
  resourcebase.cpp
  resourcescheduler.cpp
  resourceselectjob.cpp
  resourcesynchronizationjob.cpp
  searchcreatejob.cpp
  searchquery.cpp
  searchresultjob.cpp
  selectionproxymodel.cpp
  selftestdialog.cpp
  session.cpp
  servermanager.cpp
  specialcollectionattribute.cpp
  specialcollections.cpp
  specialcollectionshelperjobs.cpp
  specialcollectionsrequestjob.cpp
  specialcollectionsdiscoveryjob.cpp
  standardactionmanager.cpp
  statisticsproxymodel.cpp
  subscriptiondialog.cpp
  subscriptionjob.cpp
  subscriptionmodel.cpp
  trashjob.cpp
  trashrestorejob.cpp
  trashsettings.cpp
  trashfilterproxymodel.cpp
  transactionjobs.cpp
  transactionsequence.cpp
  transportresourcebase.cpp
  typepluginloader.cpp
  attributeentity.cpp
  tag.cpp
  tagmodel.cpp
  tagmodel_p.cpp
  tagattribute.cpp
  tagcreatejob.cpp
  tagmodifyjob.cpp
  tagfetchscope.cpp
  tagfetchjob.cpp
  tagdeletejob.cpp
  tageditwidget.cpp
  tagmanagementdialog.cpp
  tagselectiondialog.cpp
  tagwidget.cpp
  unlinkjob.cpp
# Temporary until ported to Qt-plugin framework
  pluginloader.cpp
  resourcesettings.cpp
  renamefavoritedialog.cpp
  recentcollectionaction.cpp
  dragdropmanager.cpp
  collectionview.cpp
  entitylistview.cpp
  entitytreeviewstatesaver.cpp
  itemview.cpp
)

if (KDEPIM_MOBILE_UI)
  set( akonadikde_LIB_SRC ${akonadikde_LIB_SRC}
       collectiondialog_mobile.cpp
  )
else()
  set( akonadikde_LIB_SRC ${akonadikde_LIB_SRC}
       collectiondialog_desktop.cpp
  )
endif()

# DBus interfaces and adaptors
set(akonadi_xml ${AKONADI_DBUS_INTERFACES_DIR}/org.freedesktop.Akonadi.NotificationManager.xml)
set_source_files_properties(${akonadi_xml} PROPERTIES INCLUDE "notificationmessagev3_p.h" )
qt4_add_dbus_interface( akonadikde_LIB_SRC ${akonadi_xml} notificationmanagerinterface )

set(akonadi_xml ${AKONADI_DBUS_INTERFACES_DIR}/org.freedesktop.Akonadi.NotificationSource.xml)
set_source_files_properties(${akonadi_xml} PROPERTIES INCLUDE "notificationmessagev3_p.h" )
qt4_add_dbus_interface( akonadikde_LIB_SRC ${akonadi_xml} notificationsourceinterface )

qt4_add_dbus_interfaces( akonadikde_LIB_SRC ${AKONADI_DBUS_INTERFACES_DIR}/org.freedesktop.Akonadi.AgentManager.xml )
qt4_add_dbus_interfaces( akonadikde_LIB_SRC ${AKONADI_DBUS_INTERFACES_DIR}/org.freedesktop.Akonadi.Tracer.xml )
qt4_add_dbus_interfaces( akonadikde_LIB_SRC ${AKONADI_DBUS_INTERFACES_DIR}/org.freedesktop.Akonadi.Agent.Control.xml )
qt4_add_dbus_adaptor( akonadikde_LIB_SRC ${AKONADI_DBUS_INTERFACES_DIR}/org.freedesktop.Akonadi.Resource.xml resourcebase.h Akonadi::ResourceBase resourceadaptor Akonadi__ResourceAdaptor )
qt4_add_dbus_adaptor( akonadikde_LIB_SRC ${AKONADI_DBUS_INTERFACES_DIR}/org.freedesktop.Akonadi.Preprocessor.xml preprocessorbase_p.h Akonadi::PreprocessorBasePrivate preprocessoradaptor Akonadi__PreprocessorAdaptor )
qt4_add_dbus_adaptor( akonadikde_LIB_SRC ${AKONADI_DBUS_INTERFACES_DIR}/org.freedesktop.Akonadi.Agent.Status.xml agentbase.h Akonadi::AgentBase statusadaptor Akonadi__StatusAdaptor )
qt4_add_dbus_adaptor( akonadikde_LIB_SRC ${AKONADI_DBUS_INTERFACES_DIR}/org.freedesktop.Akonadi.Agent.Control.xml agentbase.h Akonadi::AgentBase controladaptor Akonadi__ControlAdaptor)
qt4_add_dbus_adaptor( akonadikde_LIB_SRC interfaces/org.freedesktop.Akonadi.Resource.Transport.xml transportresourcebase_p.h Akonadi::TransportResourceBasePrivate transportadaptor Akonadi__TransportAdaptor )
qt4_add_dbus_adaptor( akonadikde_LIB_SRC interfaces/org.freedesktop.Akonadi.Agent.Search.xml agentsearchinterface_p.h Akonadi::AgentSearchInterfacePrivate searchadaptor Akonadi__SearchAdaptor )


kde4_add_kcfg_files( akonadikde_LIB_SRC resourcebasesettings.kcfgc )
install( FILES resourcebase.kcfg DESTINATION ${KCFG_INSTALL_DIR} )

kde4_add_ui_files( akonadikde_LIB_SRC
  cachepolicypage.ui
  controlprogressindicator.ui
  selftestdialog.ui
  erroroverlay.ui
)

if (KDEPIM_MOBILE_UI)
  kde4_add_ui_files( akonadikde_LIB_SRC
    collectiongeneralpropertiespage_mobile.ui
  )
else()
  kde4_add_ui_files( akonadikde_LIB_SRC
    collectiongeneralpropertiespage.ui
  )
endif()

add_definitions(
  -DAKONADI_DEPRECATED=
)
# This one won't be needed when CMake 2.8.13 is depended on.
add_definitions(
  -DAKONADI_DEPRECATED_EXPORT=AKONADI_EXPORT
)

add_library( akonadi-kde ${LIBRARY_TYPE} ${akonadikde_LIB_SRC} )
if(CMAKE_MINIMUM_REQUIRED_VERSION VERSION_LESS 2.8.12)
  set_property(TARGET akonadi-kde PROPERTY DEFINE_SYMBOL akonadi_kde)
endif()
generate_export_header(akonadi-kde BASE_NAME akonadi)

if (KDE4_BUILD_TESTS)
   set(AKONADI_TESTS_EXPORT AKONADI_EXPORT)
endif()
configure_file(akonadiprivate_export.h.in "${CMAKE_CURRENT_BINARY_DIR}/akonadiprivate_export.h")

if (KDE4_BUILD_TESTS)
   set(AKONADI_TESTS_EXPORT AKONADI_EXPORT)
endif()
configure_file(akonadiprivate_export.h.in
  "${CMAKE_CURRENT_BINARY_DIR}/akonadiprivate_export.h"
)

target_link_libraries( akonadi-kde ${QT_QTNETWORK_LIBRARY} ${QT_QTDBUS_LIBRARY} ${QT_QTSQL_LIBRARY} ${KDE4_KDEUI_LIBS} ${KDE4_KIO_LIBS} ${KDE4_SOLID_LIBS} ${AKONADI_COMMON_LIBRARIES} ${QJSON_LIBRARIES})
set( AKONADI_KDE_DEPS ${KDE4_KDEUI_LIBS} ${QT_QTDBUS_LIBRARY} ${QT_QTCORE_LIBRARY} )

if (KDEPIM_MOBILE_UI)
target_link_libraries( akonadi-kde ${QT_QTDECLARATIVE_LIBRARY} )
endif()

target_link_libraries( akonadi-kde LINK_INTERFACE_LIBRARIES ${AKONADI_KDE_DEPS})

set_target_properties( akonadi-kde PROPERTIES VERSION ${GENERIC_LIB_VERSION} SOVERSION ${GENERIC_LIB_SOVERSION} )
install( TARGETS akonadi-kde EXPORT kdepimlibsLibraryTargets  ${INSTALL_TARGETS_DEFAULT_ARGS} )

########### install files ###############

install( FILES
  ${CMAKE_CURRENT_BINARY_DIR}/akonadi_export.h
  agentactionmanager.h
  agentbase.h
  agentfactory.h
  agentfilterproxymodel.h
  agentinstance.h
  agentinstancecreatejob.h
  agentinstancemodel.h
  agentinstancewidget.h
  agentmanager.h
  agentsearchinterface.h
  agenttype.h
  agenttypemodel.h
  agenttypewidget.h
  agenttypedialog.h
  attribute.h
  attributefactory.h
  attributeentity.h
  cachepolicy.h
  cachepolicypage.h
  changerecorder.h
  collection.h
  collectionattributessynchronizationjob.h
  collectioncombobox.h
  collectioncopyjob.h
  collectioncreatejob.h
  collectiondeletejob.h
  collectiondialog.h
  collectionfilterproxymodel.h
  collectionfetchjob.h
  collectionfetchscope.h
  collectionmodel.h
  collectionmodifyjob.h
  collectionmovejob.h
  collectionpropertiesdialog.h
  collectionpropertiespage.h
  collectionpathresolver_p.h
  collectionquotaattribute.h
  collectionrequester.h
  collectionstatisticsdelegate.h
  collectionstatisticsmodel.h
  collectionstatistics.h
  collectionstatisticsjob.h
  collectionutils_p.h
  collectionview.h
  conflicthandling/abstractdifferencesreporter.h
  conflicthandling/differencesalgorithminterface.h
  control.h
  dbusconnectionpool.h
  entity.h
  entitydisplayattribute.h
  entityhiddenattribute.h
  entitydeletedattribute.h
  entitylistview.h
  entitymimetypefiltermodel.h
  entityrightsfiltermodel.h
  entityorderproxymodel.h
  entitytreemodel.h
  entitytreeview.h
  entitytreeviewstatesaver.h
  etmviewstatesaver.h
  entityannotationsattribute.h
  exception.h
  favoritecollectionsmodel.h
  gid/gidextractorinterface.h
  indexpolicyattribute.h
  item.h
  itemcreatejob.h
  itemcopyjob.h
  itemdeletejob.h
  itemfetchjob.h
  itemfetchscope.h
  itemmodel.h
  itemmodifyjob.h
  itemmonitor.h
  itemmovejob.h
  itempayloadinternals_p.h
  itemsearchjob.h
  itemserializerplugin.h
  itemsync.h
  itemview.h
  job.h
  linkjob.h
  mimetypechecker.h
  monitor.h
  partfetcher.h
  persistentsearchattribute.h
  preprocessorbase.h
  qtest_akonadi.h
  resourcebase.h
  resourcesynchronizationjob.h
  recursivecollectionfilterproxymodel.h
  recursiveitemfetchjob.h
  searchcreatejob.h
  searchquery.h
  selectionproxymodel.h
  session.h
  servermanager.h
  specialcollections.h
  specialcollectionsrequestjob.h
  specialcollectionsdiscoveryjob.h
  standardactionmanager.h
  statisticsproxymodel.h
  tagattribute.h
  tag.h
  tagmodel.h

=== akonadi/contact/CMakeLists.txt ===

include_directories(
    ${CMAKE_CURRENT_SOURCE_DIR}
    ${CMAKE_CURRENT_BINARY_DIR}
    ${Boost_INCLUDE_DIR}
    ${CMAKE_BINARY_DIR}/kabc
    ${CMAKE_SOURCE_DIR}/kabc
)

find_package(Prison QUIET)
set_package_properties(Prison PROPERTIES DESCRIPTION "Prison" URL "http://projects.kde.org/prison" TYPE OPTIONAL PURPOSE "Needed to show mobile barcodes of your contacts")
if (PRISON_FOUND)
    add_definitions(-DHAVE_PRISON)
    include_directories(${PRISON_INCLUDE_DIR})
endif()

set( AKONADI_PHONE_DIAL_DEFAULT "UseSkype" )
set( AKONADI_SEND_SMS_DEFAULT  "UseSkypeSms" )

add_subdirectory(tests)
add_subdirectory(kcm)
add_subdirectory(editor/im)

set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -DQT_NO_CAST_FROM_ASCII -DQT_NO_CAST_TO_ASCII ${KDE4_ENABLE_EXCEPTIONS}")

########### next target ###############

set(akonadicontact_actions_SRCS
  actions/dialphonenumberaction.cpp
  actions/showaddressaction.cpp
  actions/qdialer.cpp
  actions/qskypedialer.cpp
  actions/sendsmsaction.cpp
  actions/smsdialog.cpp
  actions/qsflphonedialer.cpp
  actions/qekigadialer.cpp
)

configure_file( actions/contactactionssettings.kcfg.cmake ${CMAKE_CURRENT_BINARY_DIR}/contactactionssettings.kcfg @ONLY)
kde4_add_kcfg_files(akonadicontact_actions_SRCS actions/contactactionssettings.kcfgc)

set(akonadicontact_editor_SRCS
  editor/addresseditwidget.cpp
  editor/categorieseditwidget.cpp
  editor/contacteditorwidget.cpp
  editor/customfieldeditordialog.cpp
  editor/customfieldsdelegate.cpp
  editor/customfieldseditwidget.cpp
  editor/customfieldsmodel.cpp
  editor/dateeditwidget.cpp
  editor/displaynameeditwidget.cpp
  editor/emaileditwidget.cpp
  editor/freebusyeditwidget.cpp
  editor/geoeditwidget.cpp
  editor/im/imdelegate.cpp
  editor/im/imeditordialog.cpp
  editor/im/immodel.cpp
  editor/im/improtocols.cpp
  editor/im/imitemdialog.cpp
  editor/imagewidget.cpp
  editor/imeditwidget.cpp
  editor/kdatepickerpopup.cpp
  editor/nameeditdialog.cpp
  editor/nameeditwidget.cpp
  editor/phoneeditwidget.cpp
  editor/secrecyeditwidget.cpp
  editor/soundeditwidget.cpp
)

set(akonadicontact_LIB_SRC
  abstractcontactformatter.cpp
  abstractcontactgroupformatter.cpp
  attributeregistrar.cpp
  collectionfiltermodel.cpp
  contactcompletionmodel.cpp
  contactdefaultactions.cpp
  contacteditor.cpp
  contacteditordialog.cpp
  contactgroupeditor.cpp
  contactgroupeditordelegate.cpp
  contactgroupeditordialog.cpp
  contactgrouplineedit.cpp
  contactgroupexpandjob.cpp
  contactgroupmodel.cpp
  contactgroupsearchjob.cpp
  contactgroupviewer.cpp
  contactgroupviewerdialog.cpp
  contactmetadata.cpp
  contactmetadataattribute.cpp
  contactsearchjob.cpp
  contactsfilterproxymodel.cpp
  contactstreemodel.cpp
  contactviewer.cpp
  contactviewerdialog.cpp
  customfields.cpp
  customfieldmanager.cpp
  emailaddressselection.cpp
  emailaddressselectiondialog.cpp
  emailaddressselectionproxymodel.cpp
  emailaddressselectionwidget.cpp
  textbrowser.cpp
  leafextensionproxymodel.cpp
  recentcontactscollections.cpp
  recentcontactscollectionrequestjob.cpp
  standardcontactactionmanager.cpp
  standardcontactformatter.cpp
  standardcontactgroupformatter.cpp
  waitingoverlay.cpp
  ${akonadicontact_actions_SRCS}
)

if(NOT KDE_PLATFORM_PROFILE STREQUAL "Mobile")
set(akonadicontact_LIB_SRC
    ${akonadicontact_LIB_SRC}
    ${akonadicontact_editor_SRCS}
)
else()
add_definitions(-DDISABLE_EDITOR_WIDGETS)
endif()

qt4_wrap_ui(akonadicontact_LIB_SRC contactgroupeditor.ui)
kde4_add_kcfg_files(akonadicontact_LIB_SRC recentcontactscollectionssettings.kcfgc )

include_directories(
  ${CMAKE_BINARY_DIR}/kpimutils
  ${CMAKE_BINARY_DIR}/kmime
  ${CMAKE_BINARY_DIR}/kabc
  ${CMAKE_BINARY_DIR}/kcalcore
  ${CMAKE_BINARY_DIR}/akonadi
)

add_library(akonadi-contact ${LIBRARY_TYPE} ${akonadicontact_LIB_SRC})
if(CMAKE_MINIMUM_REQUIRED_VERSION VERSION_LESS 2.8.12)
  set_property(TARGET akonadi-contact PROPERTY DEFINE_SYMBOL akonadi_contact)
endif()
generate_export_header(akonadi-contact
  BASE_NAME akonadi_contact
  EXPORT_FILE_NAME akonadi-contact_export.h
)

if (KDE4_BUILD_TESTS)
   set(AKONADI_CONTACT_TESTS_EXPORT AKONADI_CONTACT_EXPORT)
endif()
configure_file(akonadi-contactprivate_export.h.in "${CMAKE_CURRENT_BINARY_DIR}/akonadi-contactprivate_export.h")


target_link_libraries(akonadi-contact akonadi-kde
                                      kabc
                                      kcalcore
                                      kmime
                                      kpimutils
                                      ${KDE4_KDEUI_LIBS}
				      ${KDE4_KIO_LIBS} 
                                      ${KDE4_PHONON_LIBS})

if(PRISON_FOUND) 
target_link_libraries(akonadi-contact ${PRISON_LIBRARIES})
endif()

target_link_libraries(akonadi-contact LINK_INTERFACE_LIBRARIES
                                      akonadi-kde
                                      kabc
                                      kcalcore
                                      kmime
                                      kpimutils
                                      ${KDE4_KDEUI_LIBS}
                                      ${KDE4_KIO_LIBS}
                                      ${KDE4_PHONON_LIBS})

set_target_properties(akonadi-contact PROPERTIES VERSION ${GENERIC_LIB_VERSION} SOVERSION ${GENERIC_LIB_SOVERSION})

install(TARGETS akonadi-contact EXPORT kdepimlibsLibraryTargets ${INSTALL_TARGETS_DEFAULT_ARGS})
install(FILES editor/pics/world.jpg DESTINATION ${DATA_INSTALL_DIR}/akonadi/contact/pics)
install(FILES editor/data/zone.tab DESTINATION ${DATA_INSTALL_DIR}/akonadi/contact/data)
install(FILES recentcontactscollections.kcfg DESTINATION ${KCFG_INSTALL_DIR} )

install( FILES
  abstractcontactformatter.h
  abstractcontactgroupformatter.h
  ${CMAKE_CURRENT_BINARY_DIR}/akonadi-contact_export.h
  contactdefaultactions.h
  contacteditor.h
  contacteditordialog.h
  contacteditorpageplugin.h
  contactgroupeditor.h
  contactgroupeditordialog.h
  contactgroupexpandjob.h
  contactgroupsearchjob.h
  contactgroupviewer.h
  contactgroupviewerdialog.h
  contactsearchjob.h
  contactsfilterproxymodel.h
  contactstreemodel.h
  contactviewer.h
  contactviewerdialog.h
  emailaddressselection.h
  emailaddressselectiondialog.h
  emailaddressselectionwidget.h
  recentcontactscollectionrequestjob.h
  standardcontactactionmanager.h
  standardcontactformatter.h
  standardcontactgroupformatter.h
  editor/im/improtocols.h
  DESTINATION ${INCLUDE_INSTALL_DIR}/akonadi/contact COMPONENT Devel
)

=== doc/kcontrol/CMakeLists.txt ===
add_subdirectory(kresources)

=== kabc/vcardparser/CMakeLists.txt ===
set(EXECUTABLE_OUTPUT_PATH ${CMAKE_CURRENT_BINARY_DIR})

include_directories(${CMAKE_SOURCE_DIR}/kabc)

########### next target ###############

set(testroundtrip_SRCS testroundtrip.cpp)

qt4_add_resources(testroundtrip_SRCS testroundtrip.qrc)

kde4_add_unit_test(testroundtrip TESTNAME kabc-vcardroundtriptest ${testroundtrip_SRCS})

target_link_libraries(testroundtrip kabc ${KDE4_KDECORE_LIBS} ${QT_QTTEST_LIBRARY})

########### next target ###############

set(testread_SRCS testread.cpp)

kde4_add_executable(testread TEST ${testread_SRCS})

target_link_libraries(testread ${KDE4_KDECORE_LIBS} kabc)

########### next target ###############

set(testwrite_SRCS testwrite.cpp)

kde4_add_executable(testwrite TEST ${testwrite_SRCS})

target_link_libraries(testwrite ${KDE4_KDECORE_LIBS} ${KDE4_KDEUI_LIBS} kabc)

########### next target ###############

set(testread2_SRCS testread2.cpp testutils.cpp)

kde4_add_executable(testread2 TEST ${testread2_SRCS})

target_link_libraries(testread2 ${KDE4_KDECORE_LIBS} kabc)

########### install files ###############
install(
  FILES
  vcard.h
  vcardline.h
  vcardparser.h
  DESTINATION ${INCLUDE_INSTALL_DIR}/kabc COMPONENT Devel
)

=== kmime/tests/CMakeLists.txt ===
include_directories(${CMAKE_SOURCE_DIR}/kmime)
include_directories(${CMAKE_BINARY_DIR}/kmime)
remove_definitions(-DQT_USE_QSTRINGBUILDER)
add_subdirectory( manual )
add_subdirectory( auto )

=== debian/changelog ===
kdepimlibs (4:4.14.2-0ubuntu1~ubuntu14.04~ppa1) trusty; urgency=medium

  * trusty backport

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 14 Oct 2014 16:46:14 +0200

kdepimlibs (4:4.14.2-0ubuntu1~ubuntu14.10~ppa2) utopic; urgency=medium

  * New upstream release
  * Batchpatch symbols. New symbols.
 
 -- Scarlett Clark <sgclark@kubuntu.org>  Fri, 10 Oct 2014 14:03:10 -0700

=== debian/control ===
Source: kdepimlibs
Section: libs
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Sune Vuorela <sune@debian.org>,
           Fathi Boudra <fabo@debian.org>,
           Modestas Vainius <modax@debian.org>,
           George Kiagiadakis <kiagiadakis.george@gmail.com>,
           Eshat Cakar <info@eshat.de>,
           Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>,
           Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake,
               debhelper (>= 9),
               dpkg-dev (>= 1.15.5),
               kde-sc-dev-latest (>= 4:4.11),
               kdelibs5-dev (>= 4:4.14.2),
               libakonadi-dev (>= 1.12.1),
               libboost1.54-dev (>= 1.34),
               libboost-graph1.54-dev,
               libgpgme11-dev,
               libical-dev (>= 0.42),
               libldap2-dev,
               libprison-dev,
               libqjson-dev,
               libqt4-dev (>= 4:4.8),
               libsasl2-dev,
               libx11-dev,
               libxslt1-dev,
               pkg-config,
               pkg-kde-tools (>= 0.12),
               shared-mime-info (>= 0.30),
               uuid-dev,
               xsltproc
Standards-Version: 3.9.5
XS-Testsuite: autopkgtest
Homepage: http://pim.kde.org/
Vcs-Browser: http://bazaar.launchpad.net/~kubuntu-packagers/kubuntu-packaging/kdepimlibs
Vcs-Bzr: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/kdepimlibs
X-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-kde/kde-sc/kdepimlibs.git
X-Vcs-Git: git://anonscm.debian.org/pkg-kde/kde-sc/kdepimlibs.git

Package: kdepimlibs5-dev
Section: libdevel
Architecture: any
Depends: ${allLibraries},
         ${misc:Depends},
         ${sameVersionDep:kdelibs5-dev:libakonadi-kde4},
         ${shlibs:Depends}
Replaces: kdepim-runtime (<< 4:4.13),
          kdepimlibs-data (<< 4:4.1.80),
          libkleopatra1-dev
Breaks: kdepim-runtime (<< 4:4.13),
        kdepimlibs-data (<< 4:4.1.80),
        libkleopatra1-dev
Description: development files for the KDE Development Platform PIM libraries
 This package contains development files for building software that uses
 the KDE Development Platform Personal Information Management libraries.
 .
 This package is part of the KDE Development Platform PIM libraries module.

Package: kdepimlibs-kio-plugins
Architecture: any
Depends: libsasl2-modules, ${misc:Depends}, ${shlibs:Depends}
Replaces: kdepimlibs-data, kdepimlibs5 (<< 4:4.4.0)
Breaks: kdepimlibs-data, kdepimlibs5 (<< 4:4.4.0)
Description: kio slaves used by KDE PIM applications
 This package contains the imap4, ldap, mbox, nntp, pop3, sieve and smtp kio
 slaves.
 .
 This package is part of the KDE Development Platform PIM libraries module.

Package: libakonadi-contact4
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Replaces: kdepim-runtime (<< 4:4.4.0)
Breaks: kdepim-runtime (<< 4:4.4.0)
Description: Akonadi contacts access library
 This library provides contacts manipulation helpers using the
 Akonadi PIM data server.
 .
 This package is part of the KDE Development Platform PIM libraries module.

Package: libakonadi-kabc4
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Replaces: akonadi-kde (<< 4:4.1.80), kdepimlibs5 (<< 4:4.4.0)
Breaks: akonadi-kde (<< 4:4.1.80), kdepimlibs5 (<< 4:4.4.0)
Description: Akonadi address book access library
 This library provides address book manipulation helpers using the
 Akonadi PIM data server.
 .
 This package is part of the KDE Development Platform PIM libraries module.

Package: libakonadi-kcal4
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Replaces: akonadi-kde (<< 4:4.1.80), kdepim-runtime (<< 4:4.4.0)
Breaks: akonadi-kde (<< 4:4.1.80), kdepim-runtime (<< 4:4.4.0)
Description: Akonadi calendar access library
 This library provides calendar manipulation helpers using the
 Akonadi PIM data server.
 .
 This package is part of the KDE Development Platform PIM libraries module.

Package: libakonadi-kde4
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Replaces: kdepimlibs-data, kdepimlibs5 (<< 4:4.4.0)
Breaks: kdepimlibs-data, kdepimlibs5 (<< 4:4.4.0)
Description: library for using the Akonadi PIM data server
 This is the client access library for using the Akonadi PIM data server.
 .
 This package is part of the KDE Development Platform PIM libraries module.

Package: libakonadi-kmime4
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Replaces: kdepimlibs-data, kdepimlibs5 (<< 4:4.4.0)
Breaks: kdepimlibs-data, kdepimlibs5 (<< 4:4.4.0)
Description: Akonadi MIME handling library
 This library provides MIME handling helpers using the
 Akonadi PIM data server.
 .
 This package is part of the KDE Development Platform PIM libraries module.

Package: libakonadi-socialutils4
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Akonadi resources for handling social feeds
 Akonadi resource types for social media related feeds.
 .
 This package is part of the KDE Development Platform PIM libraries module.

Package: libakonadi-notes4
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Akonadi notes access library
 This library provides notes manipulation helpers using the
 Akonadi PIM data server.
 .
 This package is part of the KDE Development Platform PIM libraries module.

Package: libakonadi-xml4
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Replaces: kdepim-runtime (<< 4:4.12.0)
Breaks: kdepim-runtime (<< 4:4.12.0)
Description: Akonadi XML helper library
 This library provides XML helpers using the Akonadi PIM data server.
 .
 This package is part of the KDE Development Platform PIM libraries module.

Package: libgpgme++2
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Replaces: kdepimlibs5 (<< 4:4.4.0)
Breaks: kdepimlibs5 (<< 4:4.4.0)
Description: c++ wrapper library for gpgme
 GpgME++ is a C++ wrapper (or C++ bindings) for the GnuPG project's gpgme
 (GnuPG Made Easy) library.
 .
 This package is part of the KDE Development Platform PIM libraries module.

Package: libkabc4
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Replaces: kdepimlibs-data, kdepimlibs5 (<< 4:4.4.0)
Breaks: kdepimlibs-data, kdepimlibs5 (<< 4:4.4.0)
Description: library for handling address book data
 This library provides an API for address book data. It includes features
 such as:
  * Value based interface, addressbook entry data is implicitly shared.
  * Address book entries are identified by a unique id.
  * vCard backend (RFC 2425 / RFC 2426).
  * Locking mechanism to support concurrent access to the address book by
    multiple processes.
  * Notification on change of addressbook by other process.
  * Dialog for selecting address book entries, supports mouse and keyboard
    selection, supports automatic name completion.
  * GUI client for viewing, modifying address book data. This is aimed at
    developers not end users.
  * Tool for converting data, written with libkab, to libkabc format.
  * Multiple backends (resources) for storing entries e.g. LDAP
 .
 This package is part of the KDE Development Platform PIM libraries module.

Package: libkblog4
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Replaces: kdepimlibs5 (<< 4:4.4.0)
Breaks: kdepimlibs5 (<< 4:4.4.0)
Description: client-side support library for web application remote blogging APIs
 KBlog is a library for calling functions on Blogger 1.0, MetaWeblog,
 MovableType and GData compatible blogs. It calls the APIs using KXmlRpcClient
 and Syndication. It supports asynchronous sending and fetching of posts and,
 if supported on the server, multimedia files. Almost every modern blogging web
 application that provides an XML data interface supports one of the APIs
 mentioned above.
 .
 This package is part of the KDE Development Platform PIM libraries module.

Package: libkalarmcal2
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: library for handling kalarm calendar data
 This library provides access to and handling of kalarm calendar data.
 .
 This package is part of the KDE Development Platform PIM libraries module.

Package: libkcal4
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Replaces: kdepimlibs-data, kdepimlibs5 (<< 4:4.4.0)
Breaks: kdepimlibs-data, kdepimlibs5 (<< 4:4.4.0)
Description: library for handling calendar data
 This library provides access to and handling of calendar data. It supports
 the standard formats iCalendar and vCalendar and the group scheduling
 standard iTIP.
 .
 This library integrates with the deprecated KResource framework, and its use
 is discouraged in favour of KCalCore and KCalUtils.
 .
 This package is part of the KDE Development Platform PIM libraries module.

Package: libkcalcore4
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: library for handling calendar data
 This library provides access to and handling of calendar data. It supports
 the standard formats iCalendar and vCalendar and the group scheduling
 standard iTIP.
 .
 This package is part of the KDE Development Platform PIM libraries module.

Package: libkcalutils4
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: library with utility functions for the handling of calendar data
 This library provides a set of utility functions that help applications access
 and use calendar data via the KCalCore library.
 .
 This package is part of the KDE Development Platform PIM libraries module.

Package: libkholidays4
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Replaces: kdepimlibs-data, kdepimlibs5 (<< 4:4.4.0)
Breaks: kdepimlibs-data, kdepimlibs5 (<< 4:4.4.0)
Description: holidays calculation library
 This library provides a C++ API that determines holiday and other special
 events for a geographical region.
 .
 This package is part of the KDE Development Platform PIM libraries module.

Package: libkimap4
Architecture: any
Depends: libsasl2-modules, ${misc:Depends}, ${shlibs:Depends}
Replaces: kdepimlibs5 (<< 4:4.4.0)
Breaks: kdepimlibs5 (<< 4:4.4.0)
Description: library for handling IMAP data
 This library provides an API for handling data received from IMAP services.
 IMAP (Internet Message Access Protocol) is one of the two most prevalent
 Internet standard protocols for e-mail retrieval.
 .
 This package is part of the KDE Development Platform PIM libraries module.

Package: libkldap4
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Replaces: kdepimlibs5 (<< 4:4.4.0)
Breaks: kdepimlibs5 (<< 4:4.4.0)
Description: library for accessing LDAP
 This is a library for accessing LDAP with a convenient Qt style C++ API.
 LDAP (Lightweight Directory Access Protocol) is an application protocol
 for querying and modifying directory services running over TCP/IP.
 .
 This package is part of the KDE Development Platform PIM libraries module.

Package: libkmbox4
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: library for handling mbox mailboxes
 This is a library for handling mailboxes in mbox format, using a Qt/KMime C++
 API.
 .
 This package is part of the KDE Development Platform PIM libraries module.

Package: libakonadi-calendar4
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: library providing calendar helpers for Akonadi items
 This library offers helper functions to integrate the use of Akonadi calendar
 items in applications.
 .
 This package is part of the KDE Development Platform PIM libraries module.

Package: libkmime4
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Replaces: kdepimlibs5 (<< 4:4.4.0)
Breaks: kdepimlibs5 (<< 4:4.4.0)
Description: library for handling MIME data
 This library provides an API for handling MIME data. MIME (Multipurpose

=== debian/rules ===
#!/usr/bin/make -f

DEB_HOST_ARCH:=$(shell dpkg-architecture -qDEB_HOST_ARCH)
ifeq ($(DEB_HOST_ARCH),ia64)
    dqk_link_with_as_needed := no
endif

include /usr/share/pkg-kde-tools/qt-kde-team/2/debian-qt-kde.mk
libpkgs_addsubst_allLibraries = kdepimlibs5-dev kdepimlibs-dbg
libpkgs_gen_strict_local_shlibs = $(libpkgs_all_packages)
include /usr/share/pkg-kde-tools/qt-kde-team/2/library-packages.mk

override_dh_auto_configure:
	$(overridden_command) -- -DKDE4_BUILD_TESTS=false

.PHONY: override_dh_auto_test

# Get rid of the dependency on kde{base,pim}-runtime
override_dh_shlibdeps:
	$(overridden_command) -- -xkdebase-runtime -xkde-runtime \
		-xkdepim-runtime -xkdepimlibs-kio-plugins

override_dh_strip:
	$(overridden_command) --dbg-package=kdepimlibs-dbg

=== debian/watch ===
version=3
ftp://ftp.kde.org/pub/kde/stable/([\d\.]*)/src/kdepimlibs-([\d\.]*).tar.xz

## kdepimlibs 4.14.6

=== debian/changelog ===
kdepimlibs (4:4.14.6-0ubuntu1) vivid; urgency=medium

  * New upstream release
  * Update watch file 
  * Add missing files to -dev / wrap-and-sort. 

 -- Scarlett Clark <sgclark@kubuntu.org>  Fri, 13 Mar 2015 15:04:47 -0700

kdepimlibs (4:4.14.5-0ubuntu1) vivid; urgency=medium

  * New upstream release
  * Fix watch file. 
  * Add missing files to kdepimlibs-dev 
  * batchpatch symbols and removed 3 Missing per Riddell. 

 -- Scarlett Clark <sgclark@kubuntu.org>  Tue, 10 Feb 2015 11:27:38 -0800

kdepimlibs (4:4.14.4-0ubuntu2) UNRELEASED; urgency=medium

  * New upstream release. 
  * Fix watch file to match new applications location. 

 -- Scarlett Clark <sgclark@kubuntu.org>  Wed, 04 Feb 2015 18:08:02 +0000

kdepimlibs (4:4.14.2-0ubuntu2) vivid; urgency=medium

  * No-change rebuild for new libical

 -- Iain Lane <iain@orangesquash.org.uk>  Tue, 06 Jan 2015 12:08:36 +0000

kdepimlibs (4:4.14.2-0ubuntu1) vivid; urgency=medium

  * New upstream release
  * Batchpatch symbols. New symbols.
 
 -- Scarlett Clark <sgclark@kubuntu.org>  Fri, 10 Oct 2014 14:03:10 -0700

=== debian/control ===
--- 
+++ 
@@ -13,11 +13,11 @@
 Build-Depends: cmake,
                debhelper (>= 9),
                dpkg-dev (>= 1.15.5),
-               kde-sc-dev-latest (>= 4:4.11),
+               kde-sc-dev-latest (>= 4:4.12),
                kdelibs5-dev (>= 4:4.14.2),
                libakonadi-dev (>= 1.12.1),
-               libboost1.54-dev (>= 1.34),
-               libboost-graph1.54-dev,
+               libboost-graph1.55-dev,
+               libboost1.55-dev (>= 1.34),
                libgpgme11-dev,
                libical-dev (>= 0.42),
                libldap2-dev,

=== debian/watch ===
version=3
http://download.kde.org/stable/applications/14.12.3/src/kdepimlibs-([\d\.]*).tar.xz
